Page MenuHomePhabricator

vyos.configtree config formatter outputs formerly escaped characters literally
Closed, ResolvedPublicBUG

Description

If node values contain escaped characters (such as \n), after parsing a config with vyos.configtree.ConfigTree and formatting it back to text, it outputs the characters, not escape codes. This is problematic for login banners for example, that commonly contain escaped newlines, but can also affect other parts of the config.

They should simply be escaped on output.

Details

Difficulty level
Easy (less than an hour)
Version
VyOS 1.2.0-rolling+201808040337
Why the issue appeared?
Will be filled on close
dmbaturin created this task.Aug 4 2018, 5:41 PM
syncer assigned this task to dmbaturin.Sep 1 2018, 2:59 PM
syncer triaged this task as Normal priority.
dmbaturin closed this task as Resolved.Sep 25 2018, 5:47 PM

Looks like libvyosconfig is not connected to phabricator so the commit wasn't picked up.

https://github.com/vyos/libvyosconfig/commit/f8a647dd798fefcb51be9db8ff32d1e4e77d5134